/*
 * このソースコードは blanco Frameworkにより自動生成されました。
 */
package blanco.svnconf.valueobject;

/**
 * blancoSvnConfのなかで利用されるValueObjectです。
 */
public class BlancoSvnConfUserStructure {
    /**
     * フィールド [no]
     *
     * 項目の型 [java.lang.String]<br>
     * 項目番号
     */
    private String fNo;

    /**
     * フィールド [name]
     *
     * 項目の型 [java.lang.String]<br>
     * 利用者ID
     */
    private String fName;

    /**
     * フィールド [auth]
     *
     * 項目の型 [java.lang.String]<br>
     * 権限 (r または rw)
     */
    private String fAuth;

    /**
     * フィールド [description]
     *
     * 項目の型 [java.lang.String]<br>
     * 説明
     */
    private String fDescription;

    /**
     * フィールド [no]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 項目番号
     *
     * @param argNo フィールド[no]に格納したい値
     */
    public void setNo(final String argNo) {
        fNo = argNo;
    }

    /**
     * フィールド[no]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 項目番号
     *
     * @return フィールド[no]に格納されている値
     */
    public String getNo() {
        return fNo;
    }

    /**
     * フィールド [name]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 利用者ID
     *
     * @param argName フィールド[name]に格納したい値
     */
    public void setName(final String argName) {
        fName = argName;
    }

    /**
     * フィールド[name]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 利用者ID
     *
     * @return フィールド[name]に格納されている値
     */
    public String getName() {
        return fName;
    }

    /**
     * フィールド [auth]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 権限 (r または rw)
     *
     * @param argAuth フィールド[auth]に格納したい値
     */
    public void setAuth(final String argAuth) {
        fAuth = argAuth;
    }

    /**
     * フィールド[auth]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 権限 (r または rw)
     *
     * @return フィールド[auth]に格納されている値
     */
    public String getAuth() {
        return fAuth;
    }

    /**
     * フィールド [description]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 説明
     *
     * @param argDescription フィールド[description]に格納したい値
     */
    public void setDescription(final String argDescription) {
        fDescription = argDescription;
    }

    /**
     * フィールド[description]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 説明
     *
     * @return フィールド[description]に格納されている値
     */
    public String getDescription() {
        return fDescription;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * オブジェクトのシャロー範囲でしかtoStringされない点に注意して利用してください。
     *
     * @return バリューオブジェクトの文字列表現。
     */
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.svnconf.valueobject.BlancoSvnConfUserStructure[");
        buf.append("no=" + fNo);
        buf.append(",name=" + fName);
        buf.append(",auth=" + fAuth);
        buf.append(",description=" + fDescription);
        buf.append("]");
        return buf.toString();
    }
}
